Loading...
Searching...
No Matches
Dune::MultiLinearGeometryTraits< ct > Struct Template Reference

default traits class for MultiLinearGeometry More...

`#include <dune/geometry/multilineargeometry.hh>`

## Classes

struct | CornerStorage
| template specifying the storage for the corners More...
struct | hasSingleGeometryType
| will there be only one geometry type for a dimension? More...

## Public Types

typedef Impl::FieldMatrixHelper< ct > | MatrixHelper
| helper structure containing some matrix routines

## Static Public Member Functions

static ct | tolerance ()
| tolerance to numerical algorithms

## Detailed Description

template<class ct>
struct Dune::MultiLinearGeometryTraits< ct >

default traits class for MultiLinearGeometry

The MultiLinearGeometry (and CachedMultiLinearGeometry) allow tweaking some implementation details through a traits class.

This structure provides the default values.

Template Parameters

  ct | coordinate type

## Member Typedef Documentation

## MatrixHelper

template<class ct>

typedef Impl::FieldMatrixHelper< ct > Dune::MultiLinearGeometryTraits< ct >::MatrixHelper

helper structure containing some matrix routines

This helper allows exchanging the matrix inversion algorithms. It must provide the following static methods:

template< int m, int n >
static ctype sqrtDetAAT ( const FieldMatrix< ctype, m, n > &A );
template< int m, int n >
static ctype rightInvA ( const FieldMatrix< ctype, m, n > &A,
FieldMatrix< ctype, n, m > &ret );
template< int m, int n >
static void xTRightInvA ( const FieldMatrix< ctype, m, n > &A,
const FieldVector< ctype, n > &x,
FieldVector< ctype, m > &y );

## Member Function Documentation

## tolerance()

template<class ct>

ct Dune::MultiLinearGeometryTraits< ct >::tolerance | ( |  | ) |

inline static

tolerance to numerical algorithms

The documentation for this struct was generated from the following file:

- multilineargeometry.hh